commoble.bagofyurting

## Class BlockUnloadSorter

- java.lang.Object
- - commoble.bagofyurting.BlockUnloadSorter

All Implemented Interfaces:
  java.util.Comparator<java.util.Map.Entry<net.minecraft.util.math.BlockPos,BagOfYurtingData.StateData>>

    public class BlockUnloadSorter
    extends java.lang.Object
    implements java.util.Comparator<java.util.Map.Entry<net.minecraft.util.math.BlockPos,BagOfYurtingData.StateData>>

### Field Summary

Fields
`static BlockUnloadSorter` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`BlockUnloadSorter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(java.util.Map.Entry<net.minecraft.util.math.BlockPos,BagOfYurtingData.StateData> entryA, java.util.Map.Entry<net.minecraft.util.math.BlockPos,BagOfYurtingData.StateData> entryB)` When unloading blocks from the bag, we want to start from the bottom up, one layer at a time, with solid blocks in a layer being placed before non-solid blocks

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### INSTANCE

    public static final BlockUnloadSorter INSTANCE

### Constructor Detail

#### BlockUnloadSorter

    public BlockUnloadSorter()

### Method Detail

#### compare

    public int compare(java.util.Map.Entry<net.minecraft.util.math.BlockPos,BagOfYurtingData.StateData> entryA,
                       java.util.Map.Entry<net.minecraft.util.math.BlockPos,BagOfYurtingData.StateData> entryB)

When unloading blocks from the bag, we want to start from the bottom up, one layer at a time, with solid blocks in a layer being placed before non-solid blocks

Specified by:
  `compare` in interface `java.util.Comparator<java.util.Map.Entry<net.minecraft.util.math.BlockPos,BagOfYurtingData.StateData>>`